Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528275 - Cisco ASA device manager GUI malformed
Summary: Cisco ASA device manager GUI malformed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Rodney Russ
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-10 15:47 UTC by Benjamin Kingston
Modified: 2010-06-28 14:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:59:41 UTC
Type: ---


Attachments (Terms of Use)

Description Benjamin Kingston 2009-10-10 15:47:32 UTC
Description of problem:

I can run all of my java apps perfectly with the java.com JRE which are pretty complex, but the Firefox plugin is also quite buggy. When I run the Cisco ASA device manager software, parts of the GUI are malformed, some functions don't work quite as expected, and operation is much smoother.

Same goes for web apps, java.com jre seems more well rounded because everything at least works.

But thank you team OpenJDK for working on the package!

Comment 1 Mark Wielaard 2009-10-10 16:18:29 UTC
Could you provide more information on the GUI malformations you are seeing.
What package provides the Cisco ASA device manager?

Comment 2 Benjamin Kingston 2009-10-10 16:56:04 UTC
Cisco ASA device manager is the GUI software of a Cisco Network device. It's proprietary java software, not a FOSS package.

As for the malformed areas:

*When typing the password, the cursor is about 5 pixels off to the right of the trailing asterisk, unlike the java.com which is right up against the last asterisk. A lot of the buttons are cut off like "Configurati..." Those are pretty minor, but I cannot interact with the Firewall page tab. Everything, Access Rules, NAT, Service Policy Rules etc, freeze up. When I move the mouse around, the dynamic buttons pop-up. but it's unusable until I select another tab like "Device Management"

The Mozilla Plugin crashes the instant a java applet is loaded.

Comment 3 Bug Zapper 2010-04-28 10:47:05 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-06-28 14:59:41 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.